<script>
    var requireJS = [];
    loadJS(requireJS, '/js/common.js');
    loadCSS('css/flags/flags.min.css');
    loadJS(requireJS, '/js/views/destination.js');
    loadJS(requireJS, '/js/views/edit_destination.js');
</script>

<div class="container-fluid" xmlns:th="http://www.thymeleaf.org">

    <div class="row">

        <div class="col-lg-12">
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                <div class="col-lg-1">
                    <h4 class="mb-0 text-gray-800" th:text="#{main.search.title}">Search</h4>
                </div>
                <div class="col-lg-10">
                    <!-- Topbar Search -->
                    <form class="form-inline" th:action="@{/views/servicesListPricesDestination}">
                        <input type="text" class="form-control form-control-sm" name="q" id="q" placeholder=""/>
                        <button class="btn btn-sm btn-primary" id="search-button-destination" type="submit"><i
                                class="fas fa-search fa-sm"></i>
                        </button>
                    </form>
                </div>
                <div class="col-lg-1">

                    <div class="dropdown">
                        <button class="btn btn-sm dropdown-toggle" type="button" id="dropdownMenuButton"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                                th:text="#{main.actions}">
                            Actions
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item-text action-button " href="#" id="crear-lista"
                               th:text="#{view.price.create.dest.list}">Create Destination
                                List</a>
                        </div>
                    </div>

                </div>
            </nav>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row">
            <div class="container-fluid">
                <div class="d-sm-flex align-items-center justify-content-between mb-4">
                    <h1 class="page-header" th:text="#{view.price.destination.list.title}">Price List Destination</h1>

                    <a href="#" id="add-import-csv" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm action-button"
                       th:text="#{view.price.dest.list.import}"><i
                            class="fas fa-download fa-sm text-white-50"></i> Import csv</a>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead class="thead-light">
                                <tr>
                                    <th th:text="#{view.price.destination.list.id}">id</th>
                                    <th th:text="#{view.price.destination.list.priceListId}">_price_list_id</th>
                                    <th th:text="#{view.price.destination.list.name}">name</th>
                                    <th th:text="#{view.price.destination.list.countryCode}">country_code</th>
                                    <th th:text="#{view.price.destination.list.areCode}">area_code</th>
                                    <th th:text="#{view.price.destination.list.price}">price</th>
                                    <th><i class="fas fa-cogs fa-sm fa-fw"></i></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="item : ${page.content}">
                                    <td th:text="${item.id}"></td>
                                    <td th:text="${item.priceList.name}"></td>
                                    <td th:text="${item.name}"></td>
                                    <td th:text="${item.countryCode}"></td>
                                    <td th:text="${item.areaCode}"></td>
                                    <td th:text="${item.price}"></td>
                                    <td>
                                        <div class="dropdown no-arrow">
                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <i class="fas fa-cogs fa-sm fa-fw"></i>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                                 aria-labelledby="dropdownMenuLink" x-placement="bottom-end">
                                                <div class="dropdown-header"></div>
                                                <a class="dropdown-item action-button" href="#"
                                                   id="edit-list-destination"
                                                   th:attr="data-id=${item.id},data-name=${item.name}"
                                                   th:text="#{list.price.edit}">Edit</a>
                                                <a class="dropdown-item action-button" type="submit" href="#"
                                                   id="delete-list-destination"
                                                   th:attr="data-id=${item.id},data-name=${item.name}"
                                                   th:text="#{list.price.remove}"
                                                   onclick="return confirm('Estas seguro que quieres eliminar ?')">Remove</a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <div th:replace="html/frags/pagination :: paginationbar"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

